import { Certificate, CertificateProps } from 'aws-cdk-lib/aws-certificatemanager';
import { IHostedZone } from 'aws-cdk-lib/aws-route53';
import { Construct } from 'constructs';
/**
 * CloudKitect DnsValidatedCertificate Component Properties
 */
export interface CkDnsValidatedCertificateProps extends CertificateProps {
    /**
       * Hosted zone
       */
    readonly ckHostedZone: IHostedZone;
}
/**
 * CloudKitect DnsValidatedCertificate Component.
 *
 * ### Default Configuration
 *
 * ### Default Alarms
 * Available in Enhanced components only
 *
 * ### Logging and Monitoring
 * Available only in Enhanced components
 *
 * ### Examples
 * Default Usage
 * ```ts
 * new CkDnsValidatedCertificate(this, "LogicalId", {
 *     domainName: "cloudkitect.com"
 * });
 * ```
 *
 * ### Compliance
 * None
 *
 */
export declare class CkDnsValidatedCertificate extends Certificate {
    constructor(scope: Construct, id: string, props: CkDnsValidatedCertificateProps);
}
